#pragma once

using namespace System;
using namespace System::Runtime::InteropServices;

#include "LKFContext.h"

namespace lkfxdok {
	namespace c {
		public ref class LKFIntContext
		{

		internal:
			void *_contextPtr;
			LKFContextWithData ^_context;

		public:
			LKFIntContext(LKFContextWithData ^context);

			unsigned int GetIntAufenthaltCount();
			String ^GetIntAufenthaltField(unsigned int index, unsigned int field);
			unsigned int GetIntAufenthaltSAPSCount(unsigned int index);
			String ^GetIntAufenthaltSAPSField(unsigned int index, unsigned int sapsIndex, unsigned int field);


		};
	}
}